@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;700&display=swap");

* {
  margin: 0;
  padding: 0;
}

html {
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

a {
  text-decoration: none;
  color: currentColor;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

section {
  width: 100%;
  padding: 3rem 0;
}

p {
  font-size: 0.9rem;
  color: #121212;
  margin-block: 0.6rem;
}

.section-title {
  font-size: 2rem;
  border-bottom: 1px solid #00000020;
}

.container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 92vw;
  max-width: 1040px;
  margin: 0 auto;
}

@keyframes bounce {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(5px);
  }

  100% {
    transform: translateY(0);
  }
}

/* NAVIGATION */
.fixed-navigation {
  position: absolute;
  right: 1rem;
  z-index: 10;
}

.fixed-navigation ul li {
  display: flex;
  gap: 0.75rem;
  align-items: center;
  justify-content: flex-end;
  list-style: none;
}

.fixed-navigation ul li::after {
  content: "";
  display: inline-block;
  width: 0.75rem;
  height: 0.75rem;
  border: 1px solid #fff;
  border-radius: 50%;
}

.fixed-navigation ul li:first-child::after,
.fixed-navigation ul li:hover::after {
  background-color: #fff;
}

.fixed-navigation ul li a {
  font-weight: 500;
  transition: all 0.2s;
  opacity: 0;
}

.fixed-navigation ul li:first-child a,
.fixed-navigation ul li:hover a {
  opacity: 1;
}

@media (max-width: 1024px) {
  .fixed-navigation {
    top: 2.5rem;
  }

  .fixed-navigation ul li {
    margin: 0.25rem 0;
  }

  .fixed-navigation ul li a {
    opacity: 0.75;
  }
}

@media (max-width: 768px) {
  .fixed-navigation {
    top: 1.5rem;
  }
}

/* HEADER AND HERO */
header {
  color: #f2f2f2;
  text-align: center;
  width: 100%;
  height: 100vh;
}

.carousel-background {
  width: 100%;
  height: 100%;
}

.carousel-absolute {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  position: absolute;
  z-index: 5;
  height: 100%;
  width: 92vw;
  max-width: 1140px;
  margin: 0 auto;
}

.header {
  display: flex;
  gap: 1rem;
  margin-top: 2.5rem;
  font-size: 1.25rem;
}

.header a {
  opacity: 0.75;
  transition: all 0.2s;
}

.header a:hover {
  opacity: 1;
  transform: scale(1.1);
}

.hero div {
  display: none;
  opacity: 0.75;
}

.hero div a {
  margin: 0 0.25rem;
}

.hero h1 {
  font-size: 5rem;
  text-shadow: 2px 4px 10px #00000080;
}

.hero strong {
  color: #ccc;
}

.hero p {
  font-size: 1.5;
  color: #ccc;
  font-weight: 500;
}

.scroll-down {
  fill: #ccc;
  margin-bottom: 2.5rem;
  animation: bounce infinite 1s;
}

.carousel-background .carousel-slide {
  min-width: 100%;
  filter: brightness(0.5);
}

@media (max-width: 768px) {
  .header {
    opacity: 0;
  }

  .hero div {
    display: block;
  }
}

@media (max-width: 425px) {
  .hero h1 {
    font-size: 3.75rem;
  }
}

/* ABOUT */
.carousel-about .carousel-control {
  border: 0;
  background-color: transparent;
}

.carousel-about .carousel-dot {
  border-radius: 50%;
  border: 1px solid #00000020;
}

.carousel-about .carousel-slide div {
  border: 1px solid #00000040;
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 1rem 0;
  width: calc(100% - 1rem);
  height: 100%;
}

.carousel-about .carousel-slide h2 {
  text-align: center;
  font-size: 1rem;
  font-weight: 500;
}

.carousel-about .carousel-slide {
  min-width: 25%;
}

@media (max-width: 768px) {
  .carousel-about .carousel-slide {
    min-width: 50%;
  }
}

@media (max-width: 425px) {
  .carousel-about .carousel-slide {
    min-width: 100%;
  }
}

.download-button {
  border: 1px solid #00000040;
  border-radius: 6px;
  display: flex;
  gap: 0.6rem;
  width: fit-content;
  justify-content: center;
  align-items: center;
  padding: 0.2rem 1.2rem;
  transition: all 0.2s;
}

.download-button:hover {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

/* EXAMPLES */
#examples {
  position: relative;
  background-color: #f7f7f7;
  padding-top: calc(3rem + 7vw);
  padding-bottom: 100px;
  clip-path: polygon(0 0, 100% 7vw, 100% 100%, 0% 100%);
}

.example-title {
  margin-top: 3rem;
  font-size: 1.5rem;
  border-bottom: 1px solid #00000020;
}

.carousel-example {
  background-color: #fff;
  padding: 1rem;
  border-radius: 8px;
  margin: 1rem 0;
  box-shadow: 0 0 4px #00000040;
}

.example-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 0.5rem;
}

.example-info p {
  text-transform: uppercase;
  font-weight: 500;
}

.example-info div {
  display: flex;
  align-items: center;
  gap: 0.25rem;
  font-size: 0.75rem;
  cursor: pointer;
  text-align: end;
}

.example-info span {
  padding: 2px 4px;
  border-radius: 4px;
  transition: all 0.2s;
}

.example-info div:hover span {
  background-color: #f2f2f2;
}

.example-info span::after {
  content: "ver código";
}

.carousel-example.active .example-info span::after {
  content: "fechar código";
}

.carousel-example pre {
  display: none;
}

.carousel-example.active .carousel,
.carousel-example.active .carousel-dots {
  display: none;
}

.carousel-example.active pre {
  display: block;
}

.carousel-example .carousel-slide {
  border: 1px solid #000;
  border-radius: 4px;
  background-color: #f2f2f2;
}

.carousel-example .carousel-slide span {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 5rem;
}

@media (max-width: 425px) {
  .example-info span {
    display: none;
  }
}

/* SLIDES EXAMPLE */
.carousel-example.slide-number .carousel-slide {
  min-width: 25%;
}

@media (max-width: 768px) {
  .carousel-example.slide-number .carousel-slide {
    min-width: 50%;
  }
}

@media (max-width: 425px) {
  .carousel-example.slide-number .carousel-slide {
    min-width: 100%;
  }
}

.carousel-example.slide-margin .carousel-slide {
  border: 0;
  background-color: transparent;
  min-width: 50%;
}

.carousel-example.slide-margin .carousel-slide div {
  background-color: #f2f2f2;
  border: 1px solid #000000;
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
  /* width: calc(100% - 16px); */
  height: 100%;
}

/* FOOTER */
footer {
  clip-path: polygon(50% 3vw, 100% 0%, 100% 100%, 0 100%, 0 0);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  text-align: center;
  padding-top: calc(5rem + 3vw);
  padding-bottom: 5rem;
  background-color: #323232;
  margin-top: -3vw;
}

footer span {
  color: #f2f2f2;
  font-size: 2.5rem;
}

footer p {
  color: #ccc;
  margin: 0 1rem;
}

footer a {
  display: inline-block;
  color: #fff;
  opacity: 0.75;
  transition: all 0.2s;
  margin: 0 0.25rem;
}

footer a:hover {
  opacity: 1;
  transform: scale(1.1);
}

code {
  border-radius: 8px;
  overflow-x: auto;
}

.carousel-example code {
  margin: 0.5rem 0;
}

.copyright {
  font-size: 0.75rem;
  font-weight: 500;
  background-color: #232323;
  padding: 0.5rem 0;
  color: #f2f2f2;
  text-align: center;
  width: 100%;
}

.copyright a {
  text-decoration: underline;
  text-underline-offset: 2px;
}
